Skip to main content
`Ctrl`+`K`

# PCHYPRESetAlphaPoissonMatrix

Set the vector Poisson matrix for `PCHYPRE` of type AMS

## Synopsis

    PetscErrorCode PCHYPRESetAlphaPoissonMatrix(PC pc, Mat A)

Collective

## Input Parameters

- pc - the preconditioning context

- A - the matrix

## Note

`A` should be obtained by discretizing the vector valued Poisson problem with linear finite elements

## Developer Notes

This automatically converts the matrix to `MATHYPRE` if it is not already of that type

If this is only for `PCHYPRE` type of AMS it should be called `PCHYPREAMSSetAlphaPoissonMatrix()`

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCHYPRESetDiscreteGradient()`, `PCHYPRESetDiscreteCurl()`, `PCHYPRESetBetaPoissonMatrix()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages